=== debian/changelog ===
libzrtpcpp (2.0.0-3build2) trusty; urgency=low

  * Rebuild arm64 against libucommon6.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 31 Oct 2013 00:27:56 +0000

libzrtpcpp (2.0.0-3build1) trusty; urgency=low

  * Rebuild against libucommon6.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 15:22:00 +0100

libzrtpcpp (2.0.0-3) unstable; urgency=low

  * wheezy polish - lintian clean
  * Update Standards-Version: 3.9.3
  * Add source/format 3.0 (quilt)
  * Update debian/copyright - fix copyright-refers-to-symlink-license
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 22:09:11 +1000

libzrtpcpp (2.0.0-2) unstable; urgency=low

  * Added Build-Depends: cmake
  * Upstream:
    - Fixes "FTBFS with gcc-4.7: missing include" (Closes: #672942)
    - Fixes "FTBFS in sid: No package 'libccrtp1' found" (Closes: #673255)

 -- Mark Purcell <msp@debian.org>  Sat, 19 May 2012 21:39:32 +1000

libzrtpcpp (2.0.0-1) unstable; urgency=low

  * New upstream release
  * NEW package libzrtpcpp2 - match-soname
  * Upload to unstable - coordinated through debian-release
  * Switch to dh 7 
  * Add Build-Depends: libucommon & libssl
  * Ack NMUs - Thanks Matthias & Andreas

 -- Mark Purcell <msp@debian.org>  Sat, 19 May 2012 11:16:39 +1000

libzrtpcpp (1.4.6-1.2) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667261.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 08:32:37 +0200

libzrtpcpp (1.4.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping libtool la file. Closes: #620607
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Apr 2011 14:13:20 +0200

libzrtpcpp (1.6.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libzrtpcpp-1.6-0 - soname bump

 -- Mark Purcell <msp@debian.org>  Sun, 30 Jan 2011 18:46:47 +1100

libzrtpcpp (1.4.6-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Fri, 30 Oct 2009 23:00:05 +1100

libzrtpcpp (1.4.5-1) unstable; urgency=low

  * New upstream release

  [ Kilian Krause ]
  * Remove -N from wget args in get-orig-source target as -O is already
    used.

 -- Mark Purcell <msp@debian.org>  Wed, 15 Jul 2009 20:36:59 +1000

libzrtpcpp (1.4.3-3) unstable; urgency=low

  * Upload to unstable
    - libcommoncpp2 transition

 -- Mark Purcell <msp@debian.org>  Thu, 26 Feb 2009 18:31:25 +1100

libzrtpcpp (1.4.3-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 08 Feb 2009 11:26:39 +1100

libzrtpcpp (1.4.2-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 03 Feb 2009 21:29:49 +1100

libzrtpcpp (1.4.1-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 23 Dec 2008 17:36:27 +1100

libzrtpcpp (1.4.0-1) experimental; urgency=low

  * New upstream release
    - first release that is conformant to the ZRTP specification

  [ Patrick Matthäi ]
  * Bumped to Standards-Version 3.8.0.

  [ Mark Purcell ]
  * NEW libzrtpcpp-1.4-0 - lintian:package-name-doesnt-match-sonames
  * Add ${misc:Depends} - fixes lintian:debhelper-but-no-misc-depends
  * debian/watch opts=pasv
  * Update debian/copyright

 -- Mark Purcell <msp@debian.org>  Sun, 30 Nov 2008 11:42:37 +1100

libzrtpcpp (1.3.0-1) unstable; urgency=low

  * New upstream release
  * New Package: libzrtpcpp-1.3-0 - soname bump
    - Upload discussed with debian-release

 -- Mark Purcell <msp@debian.org>  Sun, 22 Jun 2008 10:01:03 +1000

libzrtpcpp (1.2.0-1) unstable; urgency=low

  * New upstream release
    - Implements latest changes to ZRTP draft
  * DEB_INSTALL_CHANGELOGS_ALL := NEWS
  * New Package: libzrtpcpp-1.2-0 soname bump
    - Upload cleared with debian-release

 -- Mark Purcell <msp@debian.org>  Fri, 13 Jun 2008 08:18:39 +1000

libzrtpcpp (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Package: libzrtpcpp-1.1-0 due to soname bump

 -- Mark Purcell <msp@debian.org>  Tue, 29 Apr 2008 22:52:58 +1000

libzrtpcpp (0.9.2-3) unstable; urgency=low

  [ Mark Purcell ]
  * Bump LT_RELEASE="0.9.2deb" to cater for upstream ABI breakage
    - ABI breakage - sendDataRTP removed in 0.9.2 (Closes: #445657)
  * Cleanup get-orig-source target

 -- Mark Purcell <msp@debian.org>  Sat, 20 Oct 2007 12:03:24 +0100

libzrtpcpp (0.9.2-2) unstable; urgency=high

  * Fix package names to reflect new ABI - leaving the internal SOVER
    unchanged (Closes: #445657)
  * High urgency due to fixing RC bug.
  * Add myself to Uploaders to make this a non-NMU
  * Adjust DEB_DH_MAKESHLIBS_ARGS_libzrtpcpp-0.9-1 := -V"libzrtpcpp-0.9-1"

 -- Kilian Krause <kilian@debian.org>  Mon, 15 Oct 2007 21:42:05 +0200

libzrtpcpp (0.9.2-1) unstable; urgency=low

  * New upstream release

  [ Kilian Krause ]
  * Add dpkg-dev (>= 1.13.19) to Build-Depends for binary:Version

 -- Mark Purcell <msp@debian.org>  Sun, 30 Sep 2007 12:17:10 +0100

libzrtpcpp (0.9.0-6) unstable; urgency=low

  * DEB_DH_MAKESHLIBS_ARGS_libzrtpcpp-0.9-0 := -V"libzrtpcpp-0.9-0 (>= 0.9.0-4)"
    - Closes: #434590: twinkle: Crashes on every call when using etch
    libraries - Debian Bug report logs
  * Use ${binary:Version} libzrtpcpp source: substvar-source-version-is-
    deprecated

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jul 2007 21:57:34 +0100

libzrtpcpp (0.9.0-5) unstable; urgency=low

  * DEB_DH_MAKESHLIBS_ARGS_libzrtpcpp-0.9-0 := -V"libzrtpcpp-0.9-0 (>= 0.9-4)"
  * Depends: pkg-config

 -- Mark Purcell <msp@debian.org>  Sun, 20 May 2007 16:43:12 +0100

libzrtpcpp (0.9.0-4) unstable; urgency=low

  * Rebuild for libccrtp-dev > 1.5.1 [libccrtp soname]

 -- Mark Purcell <msp@debian.org>  Thu, 12 Apr 2007 21:36:27 +0100

libzrtpcpp (0.9.0-3) unstable; urgency=low

  * Rebuild for libccrtp-dev (>= 1.5.0-3) [libcommoncpp2 soname]

 -- Mark Purcell <msp@debian.org>  Sun,  7 Jan 2007 06:11:31 +0000


