=== debian/control ===
Source: libzrtpcpp
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Mikael Magnusson <mikma@users.sourceforge.net>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, dpkg-dev (>= 1.13.19), cmake,
 libucommon-dev, libccrtp-dev (>= 2.0.3-4ubuntu3), libssl-dev, libgcrypt11-dev | libgcrypt-dev
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.gnu.org/software/ccrtp/
Vcs-Svn: svn://svn.debian.org/pkg-voip/libzrtpcpp/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libzrtpcpp/?op=log

Package: libzrtpcpp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libzrtpcpp2 (= ${binary:Version}), pkg-config
Description: Headers and static link library for libzrtpcpp
 This library is an extension to the GNU RTP Stack, libccrtp,
 that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
 encryption, and which can be directly embedded into telephony
 applications.  The current release is conformant to the ZRTP specification.
 .
 This package provides the header files, link libraries, and
 documentation for building applications that use libzrtpcpp.

Package: libzrtpcpp2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ccrtp extension for zrtp/Zfone support
 This library is an extension to the GNU RTP Stack, libccrtp,
 that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
 encryption, and which can be directly embedded into telephony
 applications.  The current release is conformant to the ZRTP specification.
