=== debian/rules ===
#!/usr/bin/make -f

export USES_CCRTP_INCLUDE_DIRS=yes

%:
	dh $@ --parallel --with autotools-dev
