=== debian/watch ===
# See uscan(1) for format

version=3
opts=pasv ftp://ftp.gnu.org/pub/gnu/ccrtp/libzrtpcpp-(.*)\.tar\.gz debian svn-upgrade
