=== debian/changelog ===
libzrtpcpp (2.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing libssl-dev dependency (Closes: #746655)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 31 Aug 2015 14:41:37 +0100

libzrtpcpp (2.3.4-1) unstable; urgency=medium

  * New upstream release
    - Fixes "CVE-2013-2221 CVE-2013-2222 CVE-2013-2223" (Closes: #714650)

 -- Mark Purcell <msp@debian.org>  Wed, 10 Jul 2013 00:55:55 +1000

libzrtpcpp (2.3.2-2) unstable; urgency=low

  * Upload to unstable 
  * Update debian/watch - Thanks Bart
  * Update debian/control - Vcs & Standards-Version:

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 19:08:46 +1000

libzrtpcpp (2.3.2-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed, 26 Dec 2012 11:30:07 +1100

libzrtpcpp (2.1.2-1) experimental; urgency=low

  * New upstream release
    - Fixes "new upstream version available" (Closes: #678975)

 -- Mark Purcell <msp@debian.org>  Tue, 26 Jun 2012 07:57:13 +1000
