=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Mikael Magnusson <mikma@users.sourceforge.net>, Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, dpkg-dev (>= 1.13.19), cmake,
- libucommon-dev, libccrtp-dev (>= 2.0.3-4ubuntu3), libssl-dev, libgcrypt11-dev | libgcrypt-dev
-Standards-Version: 3.9.3
+ libucommon-dev, libccrtp-dev (>= 2.0.0), libssl-dev, libgcrypt11-dev | libgcrypt-dev
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://www.gnu.org/software/ccrtp/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/libzrtpcpp/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libzrtpcpp/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libzrtpcpp/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libzrtpcpp/trunk/
 
 Package: libzrtpcpp-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libzrtpcpp2 (= ${binary:Version}), pkg-config
+Depends: ${misc:Depends}, libzrtpcpp2 (= ${binary:Version}), pkg-config, libssl-dev
 Description: Headers and static link library for libzrtpcpp
  This library is an extension to the GNU RTP Stack, libccrtp,
  that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
