=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/ccrtp/libzrtpcpp(?:[_\-]?|[_\-]v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip)(?:[^\.]\S*)? debian svn-upgrade
# Bart Martens <bartm@debian.org>  Sat, 02 Mar 2013 16:58:05 +0000
